terraform {
  required_providers {
    nomad = {
      source = "registry.terraform.io/hashicorp/nomad"
    }
  }
}

provider "nomad" {
  address = "http://127.0.0.1:4646"
}

resource "nomad_job" "hi" {
  jobspec = <<EOT
job "foo" {
  type = "batch"
  group "foo" {
    task "foo" {
      driver = "raw_exec"
      config {
        command = "echo"
        args    = ["hello"]
      }
    }
  }
}
EOT
}
